Subject: Re: Please pull upstream-fixes branch of wireless-2.6

From: Michael Buesch <[email-masked]>
Date: Thu, 20 Apr 2006 11:12:56 +0200

On Thursday 20 April 2006 10:57, you wrote:
> Michael Buesch <[email-masked]> wrote:
> >
> > On Thursday 20 April 2006 03:12, John W. Linville wrote:
> > >       bcm43xx: fix dyn tssi2dbm memleak
> > >       bcm43xx: fix pctl slowclock limit calculation
> > >       bcm43xx: sysfs code cleanup
> > 
> > These are already in -mm and on their way into linus's tree.
> 
> I don't send netdev patches to Linus except under unusual circumstances. 
> I'd expect these patches to go upstream via John or Jeff.
> 
> > Is it possible to cause problems?
> 
> Nope, I'll just drop then when they appear in a git tree.
> 
> And I really need to find a way of getting git-wireless into -mm.  Problem
> is, it's based off git-netdev-all and when John's tree is synced to a later
> version of Linus's tree than Jeff's tree, all hell breaks loose at my end. 
> Junio and I weren't able to work out a way of extracting the jeff->john
> diffs so I gave up.
> 
> Probably, I'll need to actually do a git merge, generate the diff then
> throw away the resulting git tree.  Or something.  I've avoided doing git
> merges because I'm dealing with 58 trees and I suspect I'd go insane.
> 
> > If not, fine. If yes, we need some clearly defined rules where
> > to put patches and a clearly defined statement of how often
> > patches are pushed upstream.
> 
> Because I don't carry git-wireless I don't have visibility of when John has
> merged something.  Ordinarily you'd have seen me drop the patches again
> when they popped up in John's tree.

Ok, that is perfectly fine and it will work.
Thanks for the clarification.

-- 
Greetings Michael.